=== debian/changelog ===
docker.io (26.1.5+dfsg1-9ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: remove since all tests are related to the docker application
      provided by docker.io binary package.
    - d/golang-github-docker-docker-dev.docs: install NOTICE files to comply
      with Apache license.
    - d/control: add non default pkg.docker.with-bin Build-Profiles
      to disable building docker.io, docker-cli, and docker.io-doc binary package
      by default.
      And change Architecture to amd64 to avoid Launchpad reporting build
      failures on other architecture.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 22 Feb 2025 09:30:12 +0100

docker.io (26.1.5+dfsg1-9) unstable; urgency=medium

  * Add buildx to Recommends of cli (Closes: #1087370)

 -- Tianon Gravi <tianon@debian.org>  Fri, 21 Feb 2025 11:17:16 -0800

docker.io (26.1.5+dfsg1-8) unstable; urgency=medium

  * Fix netlink via moby/moby#48368 + moby/moby#48407 (Closes: #1092165)
  * Update "basic-smoke" test to validate #1092165 fix
  * Update "basic-smoke" test to use bookworm (instead of bullseye)

 -- Tianon Gravi <tianon@debian.org>  Thu, 20 Feb 2025 14:27:26 -0800

docker.io (26.1.5+dfsg1-7ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: remove since all tests are related to the docker application
      provided by docker.io binary package.
    - d/golang-github-docker-docker-dev.docs: install NOTICE files to comply
      with Apache license.
    - d/control: add non default pkg.docker.with-bin Build-Profiles
      to disable building docker.io, docker-cli, and docker.io-doc binary package
      by default.
      And change Architecture to amd64 to avoid Launchpad reporting build
      failures on other architecture.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Feb 2025 15:38:02 +0100

docker.io (26.1.5+dfsg1-7) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 16 Feb 2025 15:27:11 -0500

docker.io (26.1.5+dfsg1-6) experimental; urgency=medium

  [ Nicolas Peugnet ]
  * Add more docker/cli packages to golang-github-docker-docker-dev
  * Add the importpaths of other modules present in golang-github-docker-docker-dev
  * Selectively install packages from buildkit

  [ Reinhard Tartler ]
  * Package buildkit as extra component in the upstream tarball
  * buildkit: avoid hcsshim, jaeger dependencies

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 10 Feb 2025 10:27:05 -0500

docker.io (26.1.5+dfsg1-5) experimental; urgency=medium

  [ Nicolas Peugnet ]
  * Fix location of libnetwork in golang-github-docker-docker-dev
  * Add github.com/docker/cli/cli/connhelper to golang-github-docker-docker-dev

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 01 Feb 2025 12:06:39 -0500

docker.io (26.1.5+dfsg1-4ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: remove since all tests are related to the docker application
      provided by docker.io binary package.
    - d/golang-github-docker-docker-dev.docs: install NOTICE files to comply
      with Apache license.
    - d/control: add non default pkg.docker.with-bin Build-Profiles
      to disable building docker.io, docker-cli, and docker.io-doc binary package
      by default.
      And change Architecture to amd64 to avoid Launchpad reporting build
      failures on other architecture.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Nov 2024 23:22:30 +0100
