## docker.io 27.5.1%2Bdfsg3

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: docker.io
 Section: admin
 Priority: optional
-Standards-Version: 4.7.0
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Standards-Version: 4.7.2
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Arnaud Rebillout <arnaudr@kali.org>
           ,Dmitry Smirnov <onlyjob@debian.org>
           ,Tim Potter <tpot@hpe.com>
@@ -17,7 +16,7 @@
     ,golang-any (>= 2:1.10~)
     ,go-md2man (>= 1.0.3~)
     ,golang-dbus-dev (>= 5.0.2~)
-#    ,golang-etcd-server-dev
+    ,golang-etcd-server-dev
     ,golang-github-adamkorcz-go-fuzz-headers-1-dev
     ,golang-github-agext-levenshtein-dev
     ,golang-github-armon-circbuf-dev
@@ -25,6 +24,7 @@
     ,golang-github-aws-aws-sdk-go-v2-dev
     ,golang-github-aws-smithy-go-dev
     ,golang-github-azure-go-ansiterm-dev
+    ,golang-github-bits-and-blooms-bitset-dev
     ,golang-github-bsphere-le-go-dev
     ,golang-github-burntsushi-toml-dev
     ,golang-github-cespare-xxhash-dev
@@ -55,7 +55,6 @@
     ,golang-github-docker-go-units-dev (>= 0.4.0~)
     ,golang-github-docker-libkv-dev
     ,golang-github-docker-libtrust-dev
-    ,golang-github-docker-notary-dev (>= 0.7.0+git20240416)
     ,golang-github-felixge-httpsnoop-dev
     ,golang-github-fernet-fernet-go-dev
     ,golang-github-fluent-fluent-logger-golang-dev (>= 1.3.0~)
@@ -63,10 +62,11 @@
     ,golang-github-fvbommel-sortorder-dev
     ,golang-github-go-logr-logr-dev
     ,golang-github-go-logr-stdr-dev
+    ,golang-github-go-viper-mapstructure-dev (>> 2.2.1-1)
     ,golang-github-gofrs-flock-dev
     ,golang-github-gogo-googleapis-dev
     ,golang-github-golang-groupcache-dev
-    ,golang-github-golang-jwt-jwt-dev    
+    ,golang-github-golang-jwt-jwt-v5-dev
     ,golang-github-googleapis-gax-go-dev
     ,golang-github-google-go-cmp-dev (>= 0.2.0~)
     ,golang-github-google-shlex-dev
@@ -92,15 +92,15 @@
     ,golang-github-moby-locker-dev
     ,golang-github-moby-patternmatcher-dev
     ,golang-github-moby-pubsub-dev
-    ,golang-github-moby-sys-dev
+    ,golang-github-moby-sys-dev (>> 0.0~git20250819.9dc3a90)
     ,golang-github-moby-term-dev
     ,golang-github-modern-go-reflect2-dev
     ,golang-github-morikuni-aec-dev
     ,golang-github-nxadm-tail-dev
     ,golang-github-onsi-ginkgo-dev
+    ,golang-github-opencontainers-cgroups-dev (>= 0.0.1~)
     ,golang-github-opencontainers-go-digest-dev
     ,golang-github-opencontainers-image-spec-dev (>= 1.0.1~)
-    ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc8~)
     ,golang-github-opencontainers-selinux-dev (>= 1.8.0~)
     ,golang-github-opencontainers-specs-dev (>= 1.0.1~)
     ,golang-github-opentracing-contrib-go-stdlib-dev
@@ -121,6 +121,7 @@
     ,golang-github-tchap-go-patricia-dev
 #    ,golang-github-tonistiigi-fsutil-dev (>= 0.0~git20200724~)
     ,golang-github-tonistiigi-units-dev
+    ,golang-github-tonistiigi-vt100-dev
     ,golang-github-rootless-containers-rootlesskit-dev (>= 2)
     ,golang-github-secure-systems-lab-go-securesystemslib-dev
     ,golang-github-urfave-cli-dev (>= 1.20.0~)
@@ -131,12 +132,13 @@
     ,golang-golang-x-term-dev
     ,golang-golang-x-time-dev
     ,golang-google-api-dev
+    ,golang-github-golang-protobuf-1-5-dev
     ,golang-google-cloud-dev
-    ,golang-google-grpc-dev (>> 1.64)
-    ,golang-github-golang-protobuf-1-5-dev
+    ,golang-google-grpc-dev (>> 1.66.3)
     ,golang-go-zfs-dev
     ,golang-protobuf-extensions-dev
     ,golang-k8s-klog-dev
+    ,golang-k8s-sigs-yaml-dev
     ,gotestsum
     ,libapparmor-dev
     ,libseccomp-dev
@@ -157,8 +159,7 @@
     ,github.com/moby/ipvs
 
 Package: docker.io
-Build-Profiles: <pkg.docker.with-bin>
-Architecture: amd64
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends} ,${shlibs:Depends}
     ,adduser
@@ -179,16 +180,14 @@
     docker-ce
     ,docker-ce-rootless-extras
 Suggests: docker-doc
-    ,aufs-tools
     ,btrfs-progs
-    ,cgroupfs-mount
     ,debootstrap
     ,e2fsprogs
     ,rinse
     ,rootlesskit
     ,xfsprogs
     ,zfs-fuse | zfsutils-linux
-Built-Using: ${libc:Built-Using}, ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: Linux container runtime
  Docker complements kernel namespacing with a high-level API which operates at
  the process level. It runs unix processes with strong guarantees of isolation
@@ -201,16 +200,17 @@
  This package contains the daemon only. For the command-line utility
  "/usr/bin/docker", please install the "docker-cli" package.
  .
- Using docker.io on non-amd64 hosts is not supported at this time. Please be
- careful when using it on anything besides amd64.
- .
- Also, note that kernel version 3.8 or above is required for proper operation of
- the daemon process, and that any lower versions may have subtle and/or glaring
- issues.
+ WARNING: Installation starts the daemon immediately and adds iptables rules
+ for container networking. These may disrupt existing firewall setups or VM
+ networking, potentially breaking connectivity. Test on non-critical systems
+ first. To disable: set DOCKER_OPTS="--iptables=false" in /etc/default/docker
+ before install. Also, the default configuration will create a "docker0" bridge
+ interface for container networking. To configure this behavior, please check
+ the documentation on the "--bip" and "-b" command-line arguments in
+ dockerd(8).
 
 Package: docker-cli
-Build-Profiles: <pkg.docker.with-bin>
-Architecture: amd64
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends} ,${shlibs:Depends}
 Conflicts:
@@ -219,11 +219,11 @@
 ## podman-docker is providing an alternative docker implementation
     ,podman-docker
 # the version of "docker.io" prior to the introduction of the separate "docker-cli" package
-Replaces: docker.io (<< 26.1.4+dfsg1-7~)
-Breaks: docker.io (<< 26.1.4+dfsg1-7~)
+Replaces: docker.io (<< 27.5.1)
+Breaks: docker.io (<< 27.5.1)
 Recommends: docker-buildx
 Suggests: docker-doc
-Built-Using: ${libc:Built-Using}, ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: Linux container runtime -- client
  This package contains the "docker" client binary for interacting with a running
  Docker daemon.
@@ -238,6 +238,7 @@
     ,golang-github-cloudflare-cfssl-dev (>= 1.6.4)
     ,golang-github-containerd-containerd-dev (>= 1.7.23~)
     ,golang-github-containerd-continuity-dev (>= 0.0~git20190426~)
+    ,golang-github-containerd-platforms-dev
     ,golang-github-containerd-typeurl-dev (>= 2.1.1-2)
     ,golang-github-docker-distribution-dev (>= 2.7.1~)
     ,golang-github-docker-docker-credential-helpers-dev (>= 0.6.1~)
@@ -245,11 +246,11 @@
     ,golang-github-docker-go-metrics-dev
     ,golang-github-docker-go-units-dev (>= 0.4.0~)
     ,golang-github-docker-libkv-dev
-    ,golang-github-docker-notary-dev (>= 0.7.0+git20240416)
     ,golang-github-distribution-reference-dev
     ,golang-github-fsnotify-fsnotify-dev
     ,golang-github-fvbommel-sortorder-dev
-    ,golang-github-gogo-googleapis-dev
+    ,golang-github-go-viper-mapstructure-dev (>> 2.2.1-1)
+##    ,golang-github-gogo-googleapis-dev # not needed?
     ,golang-github-gorilla-mux-dev (>= 1.7.1~)
     ,golang-github-in-toto-in-toto-golang-dev
     ,golang-github-mitchellh-hashstructure-dev (>= 2.0.2)
@@ -257,7 +258,7 @@
     ,golang-github-moby-locker-dev
     ,golang-github-moby-patternmatcher-dev
     ,golang-github-moby-pubsub-dev
-    ,golang-github-moby-sys-dev
+    ,golang-github-moby-sys-dev (>> 0.0~git20250819.9dc3a90)
     ,golang-github-moby-term-dev
     ,golang-github-morikuni-aec-dev
     ,golang-github-opencontainers-go-digest-dev
@@ -269,6 +270,7 @@
     ,golang-github-tchap-go-patricia-dev
     ,golang-github-tonistiigi-fsutil-dev
     ,golang-github-tonistiigi-units-dev
+    ,golang-github-tonistiigi-vt100-dev
     ,golang-golang-x-net-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20190726~)
     ,golang-opentelemetry-contrib-dev (>= 0.42)
@@ -282,20 +284,13 @@
     ,golang-github-ishidawataru-sctp-dev
     ,golang-github-vishvananda-netlink-dev (>= 1.0.0~)
     ,golang-github-vishvananda-netns-dev
-Description: reusable Go packages included with Docker
- These packages are intentionally developed by upstream in such a way that they
- are reusable to projects outside Docker and only rely on each other or other
- external dependencies to be built.
-
-Package: docker-doc
-Build-Profiles: <pkg.docker.with-bin>
-Provides: docker.io-doc
-Section: doc
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Description: Linux container runtime -- documentation
- Docker complements kernel namespacing with a high-level API which operates at
- the process level. It runs unix processes with strong guarantees of isolation
- and repeatability across servers.
- .
+Breaks:
+    ,crowdsec (<< 1.4.6-10.1)
+    ,docker-compose (<< 2.32)
+    ,golang-github-docker-buildx-dev (<< 0.19)
+    ,golang-github-containers-buildah-dev (<< 1.41.5+ds1-2)
+    ,golang-github-openshift-imagebuilder-dev (<< 1.2.15+ds1-3)
+Conflicts:
+    golang-github-docker-notary-dev
+Replaces:
+    golang-github-docker-notary-dev
