=== debian/changelog ===
docker.io (27.5.1+dfsg1-2) experimental; urgency=medium

  * Fixup engine-ftbfs-mips.patch, Closes: #1118148
  * Install additional go packages

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 16 Oct 2025 08:24:35 -0400

docker.io (27.5.1+dfsg1-1) experimental; urgency=medium

  * builds against the Debian-packaged etcd sources
  * New upstream release, Closes: #1098803
    - Applied a fix for CVE-2024-41110 / GHSA-v23v-6jw2-98fq, which
      impacted setups utilizing authorization plugins (AuthZ) for access
      control

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 14 Oct 2025 06:56:53 -0400

docker.io (26.1.5+dfsg1-10) unstable; urgency=medium

  * Backport a couple patches (FTBFS due to runc upload; Closes: #1115952)
    - https://github.com/moby/moby/pull/48730
      "daemon: use OwnCgroupPath in withCgroups"
    - https://github.com/moby/moby/pull/49562
      "switch to github.com/opencontainers/cgroups"

 -- Tianon Gravi <tianon@debian.org>  Thu, 25 Sep 2025 13:10:41 -0700
