## docker.io 27.5.1+dfsg2

=== debian/changelog ===
docker.io (27.5.1+dfsg2-1) experimental; urgency=medium

  [ Nicolas Peugnet ]
  * Use distrib version of tonistiigi-vt100
  * Use distrib version of go-viper-mapstructure

  [Reinhard Tartler]
  * Repack tarball

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 18 Oct 2025 08:40:25 -0400
