=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: docker.io
 Section: admin
 Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Arnaud Rebillout <arnaudr@kali.org>
           ,Dmitry Smirnov <onlyjob@debian.org>
@@ -55,6 +55,7 @@
     ,golang-github-docker-go-units-dev (>= 0.4.0~)
     ,golang-github-docker-libkv-dev
     ,golang-github-docker-libtrust-dev
+    ,golang-github-docker-notary-dev (>= 0.7.0+git20240416)
     ,golang-github-felixge-httpsnoop-dev
     ,golang-github-fernet-fernet-go-dev
     ,golang-github-fluent-fluent-logger-golang-dev (>= 1.3.0~)
@@ -138,7 +139,6 @@
     ,golang-go-zfs-dev
     ,golang-protobuf-extensions-dev
     ,golang-k8s-klog-dev
-    ,golang-k8s-sigs-yaml-dev
     ,gotestsum
     ,libapparmor-dev
     ,libseccomp-dev
@@ -180,14 +180,16 @@
     docker-ce
     ,docker-ce-rootless-extras
 Suggests: docker-doc
+    ,aufs-tools
     ,btrfs-progs
+    ,cgroupfs-mount
     ,debootstrap
     ,e2fsprogs
     ,rinse
     ,rootlesskit
     ,xfsprogs
     ,zfs-fuse | zfsutils-linux
-Static-Built-Using: ${misc:Static-Built-Using}
+Built-Using: ${misc:Built-Using}
 Description: Linux container runtime
  Docker complements kernel namespacing with a high-level API which operates at
  the process level. It runs unix processes with strong guarantees of isolation
@@ -200,14 +202,12 @@
  This package contains the daemon only. For the command-line utility
  "/usr/bin/docker", please install the "docker-cli" package.
  .
- WARNING: Installation starts the daemon immediately and adds iptables rules
- for container networking. These may disrupt existing firewall setups or VM
- networking, potentially breaking connectivity. Test on non-critical systems
- first. To disable: set DOCKER_OPTS="--iptables=false" in /etc/default/docker
- before install. Also, the default configuration will create a "docker0" bridge
- interface for container networking. To configure this behavior, please check
- the documentation on the "--bip" and "-b" command-line arguments in
- dockerd(8).
+ Using docker.io on non-amd64 hosts is not supported at this time. Please be
+ careful when using it on anything besides amd64.
+ .
+ Also, note that kernel version 3.8 or above is required for proper operation of
+ the daemon process, and that any lower versions may have subtle and/or glaring
+ issues.
 
 Package: docker-cli
 Architecture: linux-any
@@ -219,11 +219,11 @@
 ## podman-docker is providing an alternative docker implementation
     ,podman-docker
 # the version of "docker.io" prior to the introduction of the separate "docker-cli" package
-Replaces: docker.io (<< 27.5.1)
-Breaks: docker.io (<< 27.5.1)
+Replaces: docker.io (<< 26.1.4+dfsg1-7~)
+Breaks: docker.io (<< 26.1.4+dfsg1-7~)
 Recommends: docker-buildx
 Suggests: docker-doc
-Static-Built-Using: ${misc:Static-Built-Using}
+Built-Using: ${misc:Built-Using}
 Description: Linux container runtime -- client
  This package contains the "docker" client binary for interacting with a running
  Docker daemon.
@@ -246,6 +246,7 @@
     ,golang-github-docker-go-metrics-dev
     ,golang-github-docker-go-units-dev (>= 0.4.0~)
     ,golang-github-docker-libkv-dev
+    ,golang-github-docker-notary-dev (>= 0.7.0+git20240416)
     ,golang-github-distribution-reference-dev
     ,golang-github-fsnotify-fsnotify-dev
     ,golang-github-fvbommel-sortorder-dev
@@ -284,13 +285,15 @@
     ,golang-github-ishidawataru-sctp-dev
     ,golang-github-vishvananda-netlink-dev (>= 1.0.0~)
     ,golang-github-vishvananda-netns-dev
-Breaks:
-    ,crowdsec (<< 1.4.6-10.1)
-    ,docker-compose (<< 2.32)
-    ,golang-github-docker-buildx-dev (<< 0.19)
-    ,golang-github-containers-buildah-dev (<< 1.41.5+ds1-2)
-    ,golang-github-openshift-imagebuilder-dev (<< 1.2.15+ds1-3)
-Conflicts:
-    golang-github-docker-notary-dev
-Replaces:
-    golang-github-docker-notary-dev
+Description: reusable Go packages included with Docker
+ These packages are intentionally developed by upstream in such a way that they
+ are reusable to projects outside Docker and only rely on each other or other
+ external dependencies to be built.
+
+Package: docker-doc
+Provides: docker.io-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: Linux container runtime -- documentation
