=== debian/rules ===
--- 
+++ 
@@ -164,7 +164,3 @@
 override_dh_installudev:
 	# use priority z80 to match the upstream priority of 80
 	dh_installudev -v --name=docker --priority=z80
-
-override_dh_gencontrol:
-	echo 'libc:Built-Using=$(BUILT_LIBC)' >> debian/docker.io.substvars
-	dh_gencontrol
