=== debian/watch ===
--- 
+++ 
@@ -6,7 +6,7 @@
 opts="\
 pgpmode=none,\
 compression=xz,\
-repack,repacksuffix=+dfsg1,\
+repack,repacksuffix=+dfsg2,\
 dversionmangle=s{[+~]dfsg\d*}{},\
 uversionmangle=s{(\d)[\-]?((rc|beta)\d*)$}{$1~$2},\
 filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%,\
